#
# spec file for package python3-django-picklefield
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-django-picklefield
Version:        0.3.1
Release:        3.2
Url:            http://github.com/gintas/django-picklefield
Summary:        Pickled object field for Django
License:        MIT
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/d/django-picklefield/django-picklefield-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
Requires:       python3
Requires:       python3-django
BuildArch:      noarch

%description
django-picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet #1694
<http://www.djangosnippets.org/snippets/1694/> by Taavi Taijala, which is in
turn based on Django snippet #513 <http://www.djangosnippets.org/snippets/513/>
by Oliver Beattie.

%prep
%setup -q -n django-picklefield-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{python3_sitelib}/*

%changelog
* Sun Dec 14 2014 arun@gmx.de
- specfile:
  * update copyright year
  * update source url to point to pypi tar.gz
- update to version 0.3.1:
  * Favor the built in json module (thanks to Simon Charette).
* Sun Apr 14 2013 toddrme2178@gmail.com
- Remove pre_checkin.sh since the two versions are not the same
- Remove unneeded macros
- Added python buildrequires and requires since the package does not
  work properly without them on openSUSE <= 12.2
* Fri Apr 12 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Dec 10 2012 alexandre@exatati.com.br
- Update to 0.3.0:
  * Python 3 support (thanks to Rafal Stozek).
* Mon Apr 23 2012 alexandre@exatati.com.br
- Update to 0.2.1:
  * Use __slots__ to optimize _ObjectWrapper (thanks to Simon
    Charette).
* Wed Mar 14 2012 saschpe@suse.de
- Use upstream tarball
- Simplified macro usage
* Tue Feb 21 2012 alexandre@exatati.com.br
- Update to 0.2.0:
  * Allow pickling of subclasses of django.db.models.Model (thanks to
  Simon Charette)
- Regenerate spec file with py2pack.
* Tue Nov 16 2010 alexandre@exatati.com.br
- Update to 0.1.9.
* Mon Nov  8 2010 alexandre@exatati.com.br
- Update to 0.1.8;
- Bzip2 source file.
* Tue Apr 13 2010 alexandre@exatati.com.br
- Update to 0.1.6.
* Mon Apr  5 2010 alexandre@exatati.com.br
- Update to 0.1.5.
* Tue Mar 30 2010 alexandre@exatati.com.br
- Update to 0.1.4;
- Spec file cleaned with spec-cleaner.
* Sun Mar 28 2010 alexandre@exatati.com.br
- Update to 0.1.3.
* Sun Mar 28 2010 alexandre@exatati.com.br
- Update to 0.1.2.
* Fri Oct  9 2009 alexandre@exatati.com.br
- Initial package (0.1) for openSUSE.
